Bug 183176 - syslinux Targeted Architecture Not Supported
syslinux Targeted Architecture Not Supported
Product: Fedora
Classification: Fedora
Component: syslinux (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Peter Jones
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2006-02-27 00:15 EST by Joseph D. Wagner
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-13 16:57:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joseph D. Wagner 2006-02-27 00:15:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux 2.6.15-1.1831_FC4; X11; i686; en_US) KHTML/3.5.1 (like Gecko)

Description of problem:
When attempting to specify a target architecture higher than i386 (i.e. i486, 
i586, etc), rpmbuild returns an error saying that the architecture is not 
I see no reason the architecture would not be supported.  Even noarch packages 
will build with a target architecture specified; the option simply has no 
effect on them. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Simply execute the command "rpmbuild --rebuild --target=foobar" where foobar 
is any x86 compatible 32-bit architecture higher than i386 (i.e. i486, i586, 

Actual Results:  "error: Architecture is not included: i686" 

Expected Results:  The package should have built properly. 

Additional info:
Comment 1 Joseph D. Wagner 2006-02-27 23:33:02 EST
Of the 226 Source RPMS distributed with FC4, this is one of only a handful of 
Source RPMS that does not support a more advanced target architecture (i.e. 
i486, i586, etc).  Even Source RPMS in which a higher target architecture will 
yield no practical improvements allow a higher target architecture to be 

Could you please explain why something that works for almost every other 
package but not for this package is not a bug?

I don't mean to be stepping on toes; it's just that I would like an 
explanation, so that I know I'm not being brushed aside.
Comment 2 Peter Jones 2006-03-09 15:25:40 EST
No, you're just wasting time.
Comment 3 Joseph D. Wagner 2006-03-09 20:19:20 EST
For all you know, I could be an I.T. Manager who makes purchasing decisions 
like which OS our servers should use: Red Hat Linux Enterprise Server, SUSE 
Linux Enterprise Server, or Microsoft Windows.  You lucked out; I'm not.  I'm 
young and at the start of my career, but down the road when I do become an 
I.T. Manger, what chance do you think you have of me picking "Red Hat" after 
your snippy comment?

You have some serious people skill problems, Pete, and I hope your supervisors 
are reading this bug report.

As for arguing with you on technical merrits, I filed similar bug reports on 
other Source RPMS, and your co-workers gladly expeditiously fixed them.  See 
183173, 183174, 183175.

If there really is an actual technical reason not to do this, I'll gladly back 
down, but in the end you'll waste more time with snippy comments than would 
you have if you actually answered my questions.
Comment 4 Peter Jones 2006-03-13 16:57:50 EST
This is a bootloader.  The code in it really is architecture specific.

Note You need to log in before you can comment on or make changes to this bug.